import { Component, OnInit,AfterViewInit,Input,Output,EventEmitter,ViewContainerRef, ViewChild,OnDestroy } from '@angular/core';
import { Subject } from 'rxjs';
import { Http } from '@global/service/Http';
import { AppNotification } from '@global/service/Notification';
import { NavController, ModalController } from '@ionic/angular';
import { App } from '@global/service/App';
import { ComUtil } from '@global/util/ComUtil';
import { AppEnvironment } from 'src/environments/AppEnvironment';

@Component({
  selector: 'ctrl-mob-wfedit-view3righttoolbar-toolbar',
  templateUrl: './mob-wfedit-view3righttoolbar-toolbar.html',
  styleUrls: ['./mob-wfedit-view3righttoolbar-toolbar.scss']
})
export class Righttoolbar implements OnInit,AfterViewInit,OnDestroy {

    /**
     * 名称
     *
     * @type {string}
     * @memberof Righttoolbar
     */
    @Input() public name: string;

    /**
     * 视图通讯对象
     *
     * @type {Subject<ViewState>}
     * @memberof Righttoolbar
     */
    @Input() public viewState: Subject<ViewState>;


    /**
     * 是否为内嵌视图
     *
     * @type {boolean}
     * @memberof Righttoolbar
     */
    @Input() public isembeddedView: boolean;

    /**
     * 是否为模态模式
     *
     * @type {boolean}
     * @memberof Righttoolbar
     */
    @Input() public isModalMode: boolean;

    /**
     * 当前部件激活数据
     *
     * @public
     * @type {void}
     * @memberof Righttoolbar
     */
    public $activeData: Array<any> = [];

    constructor(private $http: Http, private $notification: AppNotification,private $navCtrl:NavController,private $app:App,private $modalCtrl: ModalController) {

    }


    /**
     * 返回
     *
     * @memberof Righttoolbar
     */
    public backView() {
        if (this.isModalMode) {
            let res: any;
            if (this.$activeData && this.$activeData.length > 0) {
                res = { ret: 'OK', result: this.$activeData };
            } else {
                res = { ret: 'NO', result: [] };
            }
            this.$modalCtrl.dismiss(res, 'close');
        } else {
            this.$navCtrl.back();
        }
    }

    ngOnInit(){

    }

    ngAfterViewInit(){

    }

    ngOnDestroy(): void {
            
    }


}